> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/custom-apps-documentation/component-blocks/api/request-less-communication.md).

# Request-less communication

Use when you need to output static content

When you need the module to output some static (or computed) content, you can use the request-less/static mode by omitting the URL and specifying only the `response.output` directives.

## Specification

You can mix static definitions with normal requests and have more than two static requests.

When using this mode, the following directives are completely ignored: `method`, `qs`, `headers`, `body`, `ca`, `type`and `pagination` - almost all request-related directives.

All response-related directives, such as `response.output`, `response.wrapper`, `response.iterate` are available, as well as `response.valid` and `response.error`. However, the latter directives lose their value in static mode.

## Examples

### **Example 1**:

{% tabs %}
{% tab title="Example 1 " %}

```json
{
    "response": {
        "output": {
            "id": "{{parameters.itemId}}",
            "text": "[{{parameters.itemId}}] {{parameters.text}}"
        }
    }
}
```

{% endtab %}

{% tab title="Example 2" %}

```json
[
  {
    "condition": "{{parameters.mode == 'self'}}",
    "response": {
      "output": {
        "text": "No items"
      }
    }
  },
  {
    "condition": "{{parameters.mode != 'self'}}",
    "response": {
      "output": {
        "text": "Some items found"
      }
    }
  }
]
```

{% hint style="info" %}
Includes different outputs depending on condition.
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.make.com/custom-apps-documentation/component-blocks/api/request-less-communication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
